## org.eclipse.amp.axf.core
Interface IEngine

All Known Implementing Classes:
  EclipseEscapeRunner

    public interface IEngine

The Interface IEngine.

Method Summary
`void` `close()` Close.
`void` `closeFinally()` Close finally.
`void` `control(EngineControl ModelControl)` Control.
`IObservationProvider` `getModel()` Gets the model.
`java.lang.Thread` `getModelThread()` Gets the model thread.
`ITimeGranularity` `getUpdateGranularity()` Returns the update granularity.
`boolean` `isCloseRequested()` Checks if is close requested.
`boolean` `isPaused()` Checks if is paused.
`boolean` `isRunning()` Checks if is running.
`void` `observationComplete(ILifeCycleListener observer)` Observation complete.
`void` `setUpdateGranularity(ITimeGranularity granularity)` Sets the update granularity.
`void` `stop()` Stop.

Method Detail

### close

    void close()

  Close.

### closeFinally

    void closeFinally()

  Close finally.

### isCloseRequested

    boolean isCloseRequested()

  Checks if is close requested.

  Returns:
    true, if is close requested

### getModelThread

    java.lang.Thread getModelThread()

  Gets the model thread.

  Returns:
    the model thread

### isRunning

    boolean isRunning()

  Checks if is running.

  Returns:
    true, if is running

### isPaused

    boolean isPaused()

  Checks if is paused.

  Returns:
    true, if is paused

### stop

    void stop()

  Stop.

### control

    void control(EngineControl ModelControl)

  Control.

  Parameters:
    `ModelControl` - the model control

### observationComplete

    void observationComplete(ILifeCycleListener observer)

  Observation complete.

  Parameters:
    `observer` - the observer

### getModel

    IObservationProvider getModel()

  Gets the model.

  Returns:
    the model

### setUpdateGranularity

    void setUpdateGranularity(ITimeGranularity granularity)

  Sets the update granularity. This defines how often observers expect to receive state change notifications. Regardless of this value, engines should always provide life-cycle notifications.

  Parameters:
    `granularity` - the desired update granularity (engine specific).

### getUpdateGranularity

    ITimeGranularity getUpdateGranularity()

  Returns the update granularity.

  Parameters:
    `granularity` - the desired update granularity (engine specific).